# AutoReleasable class abstract

Implementers
  - ImageRef

## Constructors

AutoReleasable.new()

## Properties

hashCode → int
  The hash code for this object.
  no setter inherited
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited

## Methods

isRetained() → bool
noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
release() → void
retain() → void
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited

## Static Properties

allowCreationWithoutAutorelease ↔ bool
  getter/setter pair